Package org.apache.velocity.runtime.resource.loader

# Class ResourceLoaderFactory

java.lang.Object
org.apache.velocity.runtime.resource.loader.ResourceLoaderFactory

public class ResourceLoaderFactory extends Object
Factory to grab a template loader.

Version:
  $Id$
Author:
  Jason van Zyl

## Constructor Summary

Constructors
Constructor
Description
`ResourceLoaderFactory()`

## Method Summary

Modifier and Type
Method
Description
`static ResourceLoader`
`getLoader(RuntimeServices rs, String loaderClassName)`
Gets the loader specified in the configuration file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceLoaderFactory

public ResourceLoaderFactory()

## Method Details

### getLoader

public static ResourceLoader getLoader(RuntimeServices rs, String loaderClassName)
Gets the loader specified in the configuration file.

Parameters:
  `rs` -
  `loaderClassName` -
Returns:
  TemplateLoader